<?php

namespace app\admin\controller;

use app\common\controller\Backend;
use think\Db;
use think\Session;

/**
 *
 *
 * @icon fa fa-circle-o
 */
class Reward extends Backend
{


    /**
     * Material模型对象
     * @var \app\admin\model\Material
     */
    protected $model = null;

    public function _initialize()
    {
        parent::_initialize();
        $this->model = new \app\admin\model\Operators();

    }


    /**
     * 查看
     */
    public function index()
    {
        //设置过滤方法
//        $this->request->filter(['strip_tags', 'trim']);
        $admin_id = session::get("admin")["id"] ;
        $operators_id = DB::name("auth_group_access")->where("uid",$admin_id)->value("operators_id");
        $list = DB::name("operators_deploy")->where("operators_id",$operators_id)->find();
        $this->assign("list",$list);
        return $this->view->fetch();
    }

}
